## class MainWindow : public MWidget

> class supporting the main (toplevel) window.

## Inheritance:

### Public Methods

  | MainWindow (const char *name) Constructor requires only a name
  virtual | ~MainWindow ()
  const char* | GetClassName ()
  virtual void | Initialize (int argc, char** argv, Config *config) create toplevel widget, and other class members.
  virtual void | Finalize () initialization to do when window is already managed.
  virtual void | Manage () popup the window
  virtual void | Unmanage () pop down the window
  virtual void | Iconify () iconify the window
  void | ManageUnmapped ()
  void | Close () close the window.
  void | SetTitle (const char *title) Set window title.
  void | SetTitle (const string *title)
  void | SetIconName (const char *name) Set name of window icon.
  void | SetIconPixmap (Pixmap px) Set pixmap of window icon.
  void | SetCursor (int cursorNum)
  void | SetSizeCursor (int cursorNum)
  virtual int | GetTool ()
  virtual void | SetStatus (const char *)
  virtual void | SetStatus (const string *)
  PrinterOptions* | GetPrinterOptions ()

### Protected Methods

  virtual Widget | CreateWorkArea (Widget, int argc, char** argv) Derived classes define this to create the appl-specific work area.
  virtual void | ParseUserOptions (int argc, char** argv) Derived classes use this functions to parse argv.
  virtual void | CreateComponents (Widget window) Functions to create the constituting parts of the main window.
  MouseCursor* | GetCursor ()
  Config* | GetConfig ()

### Inherited from MWidget:

### Public Methods

bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> class supporting the main (toplevel) window.

`MainWindow(const char *name)`
  Constructor requires only a name

`virtual ~MainWindow()`

`const char* GetClassName()`

`virtual void Initialize(int argc, char** argv, Config *config)`
  create toplevel widget, and other class members.

`virtual void Finalize()`
  initialization to do when window is already managed.

`virtual void Manage()`
  popup the window

`virtual void Unmanage()`
  pop down the window

`virtual void Iconify()`
  iconify the window

`void ManageUnmapped()`

`void Close()`
  close the window.

`void SetTitle(const char *title)`
  Set window title.

`void SetTitle(const string *title)`

`void SetIconName(const char *name)`
  Set name of window icon.

`void SetIconPixmap(Pixmap px)`
  Set pixmap of window icon.

`void SetCursor(int cursorNum)`

`void SetSizeCursor(int cursorNum)`

`virtual int GetTool()`

`virtual void SetStatus(const char *)`

`virtual void SetStatus(const string *)`

`PrinterOptions* GetPrinterOptions()`

`virtual Widget CreateWorkArea(Widget, int argc, char** argv)`
  Derived classes define this to create the appl-specific work area.

`virtual void ParseUserOptions(int argc, char** argv)`
  Derived classes use this functions to parse argv.

`virtual void CreateComponents(Widget window)`
  Functions to create the constituting parts of the main window.

`MouseCursor* GetCursor()`

`Config* GetConfig()`

Direct child classes:
  StartupWindow
  EditWindow

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de